uk.gov.hmrc.ct.box

# CtOptionalDate

###
Related Doc: package box

#### trait CtOptionalDate extends OptionalCtValue[LocalDate]

Self Type
  CtOptionalDate with CtBoxIdentifier

Linear Supertypes
OptionalCtValue[LocalDate], CtValue[Option[LocalDate]], AnyRef, Any
Known Subclasses
AC198A, AC205, AC206, B980, CP285, E1032, E40, J10A, J15A, J20A, J25A, J30A, J35A, J40A, J45A, J50A, J5A, LPQ07, LPQ07, SchemeDateBox
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtOptionalDate
2. OptionalCtValue
3. CtValue
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def value: Option[LocalDate]

   Definition Classes
     CtValue

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asLocalDate: Option[LocalDate]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OptionalCtValue[LocalDate]

### Inherited from CtValue[Option[LocalDate]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped